<?php

namespace WPRuby_CAA\Core;


class Constants {

	const UTIL_CURRENT_VERSION = '2.1.0';
	const UTIL_STORE_URL = 'https://wpruby.com/edd_sl/controlled-admin-access-pro';
	const UTIL_WPRUBY_ITEM_ID = 9850;
	const UTIL_LICENSE_KEY = 'controlled_admin_access_pro_license_key';

	// user meta keys
	const USER_CAA_ACCOUNT = '_caa_account';
	const USER_CREATED_AT = '_caa_created_at';
	const USER_CREATED_BY = '_caa_created_by';
	const USER_EXPIRING_IN = '_caa_user_expiring_in';
	const USER_LAST_LOGIN = '_caa_user_last_login';
	const USER_DEACTIVATED = '_caa_deactivated';
	const USER_HIDE_ADMIN_BAR = '_caa_hide_admin_bar';
	const USER_RESTRICTED_MENU_ITEMS = '_caa_restricted_menu_items';
	const USER_RESTRICTED_PLUGINS_ITEMS = '_caa_restricted_plugins_items';
	const USER_TOKEN = '_caa_login_token';
	const USER_IS_LOGGED_IN = '_caa_is_logged_in';
	const CAA_SETTINGS = '_caa_settings';
	const CAA_ALL_MENU_SLUGS = '_caa_all_menu_slugs';



	/**
	 * @return string
	 */
	public static function activities_table_name()
	{
		global $wpdb;
		return $wpdb->prefix . 'caa_activity_logs';
	}
}
